:root {
	--color-primary: #E1192C;
	--color-primary-hover: #C81023;
	--color-primary-click: #A80D1E;
	--color-primary-highlight: #FFD700;
	--color-success: #4caf50;
	--color-success-hover: #388e3c;
	--color-success-click: #2e7d32;
	--color-warning: #ff9800;
	--color-warning-hover: #f57c00;
	--color-warning-click: #e65100;
	--color-danger: #c0372c;
	--color-danger-hover: #a52a1f;
	--color-danger-click: #8a1b13;
	--color-blue: #016BE4;
	--color-blue-hover: #0156c7;
	--color-blue-click: #0149a6;
}

.image-fit {
	position: relative;
	overflow: hidden;
}

.image-fit > img {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.poppy-vehappy-submissions-stats *,
.poppy-vehappy-submissions * {
	box-sizing: border-box;
}

.poppy-vehappy-status {
	display: inline-block;
	width: 14px;
	height: 14px;
	border-radius: 50%;
}

.poppy-vehappy-status--approved {
	background-color: var(--color-success);
}

.poppy-vehappy-status--pending {
	background-color: var(--color-warning);
}

.poppy-vehappy-status--rejected {
	background-color: var(--color-danger);
}

.poppy-vehappy-status-text {
	display: inline-block;
	border-radius: 4px;
	padding: 2px 4px;
	color: #fff;
}

.poppy-vehappy-status-text--approved {
	background-color: var(--color-success);
}

.poppy-vehappy-status-text--pending {
	background-color: var(--color-warning);
}

.poppy-vehappy-status-text--rejected {
	background-color: var(--color-danger);
}

/* START: VEHAPPY Submissions Stats */
.poppy-vehappy-submissions-stats {
	margin-bottom: 50px;
}

.poppy-vehappy-submissions-stats > h2 {
	font-size: 36px;
}

.poppy-vehappy-submissions-stats > ul {
	list-style: none;
	display: flex;
	flex-wrap: wrap;
	margin: -10px;
	padding: 0;
}

.poppy-vehappy-submissions-stats > ul > li {
	padding: 10px;
	margin: 0;
}

.poppy-vehappy-submissions-stat {
	background: #2A2E84;
	padding: 20px;
	border-radius: 4px;
	color: #fff;
	text-align: center;
	width: 250px;
	height: 160px;
	display: flex;
	justify-content: center;
	align-items: center;
	line-height: 1.2;
}

.poppy-vehappy-submissions-stat--approved {
	background: var(--color-success);
}

.poppy-vehappy-submissions-stat--pending {
	background: var(--color-warning);
}

.poppy-vehappy-submissions-stat--rejected {
	background: var(--color-danger);
}

.poppy-vehappy-submissions-stat__label {
	text-transform: uppercase;
	font-weight: 700;
	font-size: 18px;
	text-shadow: 0 2px 4px rgba(0, 0, 0, 0.3);
}

.poppy-vehappy-submissions-stat__value {
	font-size: 42px;
	font-weight: 700;
	margin-bottom: 10px;
	text-shadow: 0 2px 4px rgba(0, 0, 0, 0.3);
}
/* END: VEHAPPY Submissions Stats */

/* START: VEHAPPY Submissions Filter Form */
.poppy-vehappy-submissions-filter-form {
	width: 100%;
	margin-bottom: 30px;
}

.poppy-vehappy-submissions-filter-form__cols {
	width: 100%;
	display: flex;
	flex-wrap: wrap;
	margin: -10px;
}

.poppy-vehappy-submissions-filter-form__col {
	padding: 10px;
	width: 25%;
}

.poppy-vehappy-submissions-filter-form__label {
	display: block;
	font-weight: 700;
	margin-bottom: 5px;
}

.poppy-vehappy-submissions-filter-form__select {
	width: 100%;
	padding: 8px;
	border-radius: 4px;
	border: 1px solid #ccc;
}
/* END: VEHAPPY Submissions Filter Form */

/* START: VEHAPPY Submissions Table */
body.wp-admin #poppy-vehappy-submissions-table {
	/*max-width: 1100px;*/
}
/* END: VEHAPPY Submissions Table */

/* START: VEHAPPY Submissions */
.poppy-vehappy-submissions {
	margin: 50px 0;
	padding: 0 20px;
}

.poppy-vehappy-submissions > h2 {
	font-size: 36px;
}

.poppy-vehappy-submissions__legend {
	margin-bottom: 30px;
}

.poppy-vehappy-submissions__legend > ul {
	list-style: none;
	padding: 0;
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	margin: -10px;
}

.poppy-vehappy-submissions__legend > ul > li {
	padding: 10px;
	display: flex;
	align-items: center;
}

.poppy-vehappy-submissions__legend > ul > li > .poppy-vehappy-status {
	margin-right: 6px;
}

/* END: VEHAPPY Submissions */

/* START: Tabulator Actions */
.poppy-tabulator-actions > ul {
	list-style: none;
	padding: 0;
	display: flex;
	flex-wrap: wrap;
	margin: -4px;
}

.poppy-tabulator-actions > ul > li {
	margin: 4px;
}

/* END: Tabulator Actions */

/* START: Tabulator Link */
.poppy-tabulator-link {
	display: inline-block;
	color: var(--color-primary);
	border-bottom: 2px solid var(--color-primary);
	font-weight: 600;
	text-decoration: none;
}
.poppy-tabulator-link:hover {
	color: var(--color-primary-hover);
	border-bottom-color: var(--color-primary-hover);
	text-decoration: none;
}
.poppy-tabulator-link:active {
	border-bottom-color: var(--color-primary-click);
	color: var(--color-primary-click);
}
.poppy-tabulator-link:focus {
	border-bottom-color: var(--color-primary-click);
	color: var(--color-primary-click);
	box-shadow: 0 0 0 2px var(--color-primary-highlight);
}

/* START: Tabulator Btn */
.poppy-tabulator-btn {
	display: inline-block;
	padding: 8px;
	border-radius: 3px;
	background-color: #f5f5f5;
	color: #333;
	text-decoration: none;
	border: 0;
	outline: none;
	cursor: pointer;
	line-height: 1;
	transition: opacity .3s, background-color .3s, border-color .3s, color .3s;
}

.poppy-tabulator-btn--primary {
	background-color: var(--color-primary);
	color: #fff;
}
.poppy-tabulator-btn--primary:hover {
	background-color: var(--color-primary-hover);
	color: #fff;
}
.poppy-tabulator-btn--primary:active {
	background-color: var(--color-primary-click);
	color: #fff;
}
.poppy-tabulator-btn--primary:focus {
	background-color: var(--color-primary-click);
	color: #fff;
	box-shadow: 0 0 0 2px var(--color-primary);
}

.poppy-tabulator-btn--success {
	background-color: var(--color-success);
	color: #fff;
}
.poppy-tabulator-btn--success:hover {
	background-color: var(--color-success-hover);
}
.poppy-tabulator-btn--success:active {
	background-color: var(--color-success-click);
}

.poppy-tabulator-btn--danger {
	background-color: var(--color-danger);
	color: #fff;
}
.poppy-tabulator-btn--danger:hover {
	background-color: var(--color-danger-hover);
}
.poppy-tabulator-btn--danger:active {
	background-color: var(--color-danger-click);
}

.poppy-tabulator-btn--warning {
	background-color: var(--color-warning);
	color: #fff;
	text-shadow: 0 1px 2px rgba(0, 0, 0, 0.3);
}

.poppy-tabulator-btn--warning:hover {
	background-color: var(--color-warning-hover);
}

.poppy-tabulator-btn--warning:active {
	background-color: var(--color-warning-click);
}

.poppy-tabulator-btn--blue {
	background-color: var(--color-blue);
	color: #fff;
}

.poppy-tabulator-btn--blue:hover {
	background-color: var(--color-blue-hover);
}

.poppy-tabulator-btn--blue:active {
	background-color: var(--color-blue-click);
}

/* END: Tabulator Btn */

/* --- GENERAL TABLE STYLING --- */
.tabulator {
    border-radius: 4px;
    overflow: hidden;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
    border: none;
}

/* START: Tabulator */
.tabulator .tabulator-headers {
    border-bottom: 3px solid #1a252f;
}

.tabulator .tabulator-header .tabulator-col {
    background-color: #2c3e50;
	padding: 4px 6px;
}

@media (hover: hover) and (pointer: fine) {
	.tabulator .tabulator-header .tabulator-col.tabulator-sortable.tabulator-col-sorter-element:hover {
		background-color: #34495e;
	}
}

.tabulator  .tabulator-col-title {
	color: #fff;
	font-weight: 700;
    text-transform: uppercase;
}

.tabulator-row.status-rejected .tabulator-cell:first-child,
.tabulator-row.status-pending .tabulator-cell:first-child,
.tabulator-row.status-approved .tabulator-cell:first-child {
	padding-left: 20px;
	position: relative;
}

.tabulator-row.status-rejected .tabulator-cell:first-child:before,
.tabulator-row.status-pending .tabulator-cell:first-child:before,
.tabulator-row.status-approved .tabulator-cell:first-child:before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	width: 10px;
}

.tabulator-row.status-pending .tabulator-cell:first-child:before {
	background-color: var(--color-warning);
}

.tabulator-row.status-rejected .tabulator-cell:first-child:before {
	background-color: var(--color-danger);
}

.tabulator-row.status-approved .tabulator-cell:first-child:before {
	background-color: var(--color-success);
}

.tabulator-row .tabulator-cell {
	padding: 8px;
}

.tabulator-row .tabulator-cell[tabulator-field="object_key"] {
	text-align: center;
}

.tabulator-row .tabulator-cell[tabulator-field="metadata"] {
	white-space: normal;
}
.tabulator-row .tabulator-cell[tabulator-field="metadata"] ul {
	margin: 0;
}

